> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token holders

> Get a list of all the token holders for a specified ERC-20, ERC-721 or ERC-1155 token.



## OpenAPI

````yaml get /somnia/v1/tokens/{tokenAddress}/holders
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/tokens/{tokenAddress}/holders:
    get:
      tags:
        - Tokens
      summary: Get token holders
      description: >-
        Get a list of all the token holders for a specified ERC-20, ERC-721 or
        ERC-1155 token.
      operationId: GetTokenHolders
      parameters:
        - description: A token address.
          in: path
          name: tokenAddress
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TokenHoldersResponse'
          description: OK
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    TokenHoldersResponse:
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        cursor:
          nullable: true
          type: string
        holders:
          items:
            $ref: '#/components/schemas/TokenHoldersItem'
          type: array
        holders_count:
          format: int64
          type: integer
        updated_at:
          format: date-time
          type: string
      required:
        - updated_at
        - contract
        - holders
        - holders_count
      type: object
    Contract:
      properties:
        address:
          description: Contract address
          type: string
        decimals:
          nullable: true
          type: integer
        erc_type:
          description: ERC standard of the token.
          nullable: true
          type: string
        logoUri:
          nullable: true
          type: string
        name:
          description: Name of the token.
          nullable: true
          type: string
        symbol:
          description: Symbol of the token.
          nullable: true
          type: string
      type: object
    TokenHoldersItem:
      properties:
        address:
          type: string
        balance:
          type: string
        percentage:
          format: double
          type: number
        raw_balance:
          type: string
      required:
        - address
        - balance
        - raw_balance
        - percentage

````